<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}
$rproduct_clientid='';
$tripclientid='';$rcnt='';$client_main='';
$tyrenum_veh='';$rclient_code='';$rrate='';$rclient_name='';$rclient_id='';$rtown_id='';$rpackname='';$billtype='';
$cclient_name='';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();

$drvid='';
if(isset($_REQUEST['drv_id'])){
	$drvid=mysql_escape_string($_REQUEST['drv_id']);
}
		
if(isset($_REQUEST['del']) && $_REQUEST['del']=='delete')
{
	$id = $_REQUEST['id'];
	$sql=mysql_query("delete from cf_agmark where agmark_id='$id'");
	header("location:add-agmark.php?msg=You Have Successfully Deleted");
}
	
	
            $tablename='cf_deliveryarea';
   			$sqlObj->tablename=$tablename;
		    $pdate=date("Y-m-d");
		    if(isset($_POST['save'])){	
			
			if(isset($_POST['fromloc']))
			$fromlocation= $_POST['fromloc'];
						
			if(isset($_POST['toloc']))
			$tolocation= $_POST['toloc'];			
			
			if(isset($_POST['driverbatta']))
			$driverbatta= $_POST['driverbatta'];			
						
			$sqlObj->tablename=$tablename;
			
			$sqlObj->fieldname='(from_location,to_location,driver_batta)';
			$sqlObj->fieldvalue='"'.$fromlocation.'","'.$tolocation.'","'.$driverbatta.'"';
			if($drvid==""){
			 echo $qsy= "insert into ".$tablename.$sqlObj->fieldname." values(".$sqlObj->fieldvalue.")";
			 $CreateClient 	= mysql_query($qsy);
			header("location:list-deliveryarea.php");		
			
			}else{
			$drvid=$_REQUEST['drv_id'];
			$updata="from_location='".$fromlocation."',to_location='".$tolocation."',driver_batta='".$driverbatta."'";
			$qsy= "update ".$tablename." set ".$updata." where delivery_id='".$drvid."'";
			$CreateClient 	= mysql_query($qsy);
			header("location:list-deliveryarea.php");								
			}
			}
			
			$frm_location='';
			$t_location='';
			$driver_batta='';
			
			
					if(isset($_REQUEST['drv_id'])){
					$drvid=mysql_escape_string($_REQUEST['drv_id']);
					$rqry=mysql_query("SELECT *  FROM cf_deliveryarea where delivery_id='".$drvid."'");
					
						if($rqry && mysql_num_rows($rqry)>0)
						{
							while($sobj=mysql_fetch_object($rqry))
							{
								$frm_location=$sobj->from_location;
								$t_location=$sobj->to_location;
								$driver_batta=$sobj->driver_batta;
							}
						}
					}
			
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type="text/javascript" src="scripts_date/jquery.js"></script>
<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>
<script src="js/addmoretown.js"></script>

<script type="text/javascript">
<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function validationrate()
{
if(document.prodfrmname.client_subid.value=='')
	{
		alert("Enter Client Code");
		document.prodfrmname.client_subid.focus();
		return false;
	}
if(document.prodfrmname.rate.value=='')
	{
		alert("Enter rate");
		document.prodfrmname.rate.focus();
		return false;
	}
if(document.prodfrmname.townname.value=='')
	{
		alert("Enter Townname");
		document.prodfrmname.townname.focus();
		return false;
	}
	if(document.prodfrmname.clientname.value=='')
	{
		alert("Enter Client Name");
		document.prodfrmname.clientname.focus();
		return false;
	}
	if(document.prodfrmname.billtype.value=='')
	{
		alert("Enter Billtype");
		document.prodfrmname.billtype.focus();
		return false;
	}
	
}

</script>
<style>
.lableentrytext{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
}
.addimgs{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.addimgs a:hover{
color: #000;
}
.rimg{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.rimg a:hover{
color: #000;
}
.td-border-11 td{border:1px solid #ddd; padding:15px; font-size:13px;}

</style>
</head>

<body>
<div class="wrapper">
  <div>
<?php 
	include("header.php");
?>
 
</div>
 
 
 <div class="tabbedArea">
  
  <div class="tabBody">
   <h1>Add Agmark</h1>
   <form name="prodfrmname" method="post" action="">
   <? if($drvid!=''){?>
  <input type="hidden" name="drv_id" id="drv_id"  value="<?=$drvid?>"/>
  <? }?>
   <?php
	$div=1;
	?>
<input type="hidden" id="divcnt" value="<?=$div?>" name="cnt"/>
   <div class="addEmp" style="margin-bottom:0px; border-bottom:0px solid;width:1000px;">
        <table width="70%" border="0" cellspacing="0" cellpadding="10">
          <tr>
            <td valign="top">
            <!-- <div class="form1" style="min-width:600px;border-right:0px; "> -->
           <div class="form1">          

		   <div>
      			<p id="divshw" class="input1">From Location<span style="color:#FF3300">*</span></p>
                <input name="fromloc" class="input1 input3"  type="text" value="<?=$frm_location?>">  
     	   </div>
		   
		   <div>
      			<p id="divshw" class="input1">To Location<span style="color:#FF3300">*</span></p>
                <input name="toloc" class="input1 input3"  type="text" value="<?=$t_location?>">  
     	   </div>
		   
		   <div>
      			<p id="divshw" class="input1">Driver Batta<span style="color:#FF3300">*</span></p>
                <input name="driverbatta" class="input1 input3"  type="text" value="<?=$driver_batta?>">  
     	   </div>

            
          <div><table width="70%" border="0" cellspacing="0" cellpadding="10">
       <tr>
         <td colspan="2"><div class="searchField1">
         <?php
	 	if(isset($_REQUEST['agmark_id'])){
	  ?>	 
      <input name="Edit" type="submit" class="input1" value="Edit" onClick="return validationrate();"/>
      <?php }else { ?>   
     <input name="save" type="submit" class="input1" value="Save" onClick="return validationrate();"/>
	  <?php } ?>

        </div>
        </td>
          </tr>
        </table></div>
			
			</div>
        </td>
            <td valign="top">&nbsp;</td>
          </tr>
        </table>
	<div id="div2">
	</div>
	
       

<div class="mand"><p>Fields marked <span style="color:#FF3300">*</span> are Mandatory</p></div>
</div>
   </form>
   </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
  <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>


		






